Bug 1571080

Summary: SELinux is preventing abrt-hook-ccpp from 'map' accesses on the Datei /usr/libexec/packagekitd.
Product: [Fedora] Fedora Reporter: Frank Büttner <bugzilla>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:c3c1dd3e9208b002a7176036c94c753888e0bde2595c00f573b485647af56e80;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.13.1-283.34.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-05 22:27:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Frank Büttner 2018-04-24 05:25:49 UTC
Description of problem:
SELinux is preventing abrt-hook-ccpp from 'map' accesses on the Datei /usr/libexec/packagekitd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-hook-ccpp should be allowed map access on the packagekitd file by default.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'abrt-hook-ccpp' --raw | audit2allow -M my-abrthookccpp
# semodule -X 300 -i my-abrthookccpp.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:rpm_exec_t:s0
Target Objects                /usr/libexec/packagekitd [ file ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           PackageKit-1.1.9-3.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.17-300.fc27.x86_64 #1 SMP Thu
                              Apr 12 18:19:17 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-04-24 07:19:17 CEST
Last Seen                     2018-04-24 07:19:17 CEST
Local ID                      db3f77c0-4411-42bd-90b2-11ef4c8b9c1d

Raw Audit Messages
type=AVC msg=audit(1524547157.346:257): avc:  denied  { map } for  pid=5294 comm="abrt-hook-ccpp" path="/usr/libexec/packagekitd" dev="dm-1" ino=24654532 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:rpm_exec_t:s0 tclass=file permissive=0


Hash: abrt-hook-ccpp,abrt_dump_oops_t,rpm_exec_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.30.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.17-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-04-29 13:31:55 UTC
selinux-policy-3.13.1-283.34.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa26da1777

Comment 2 Fedora Update System 2018-04-30 14:17:53 UTC
selinux-policy-3.13.1-283.34.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa26da1777

Comment 3 Fedora Update System 2018-05-05 22:27:43 UTC
selinux-policy-3.13.1-283.34.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.